<?php
include 'config.php';
aut();
levels(9);

$a = $db->sql_query ("Select * from vopros where ids ='3'");
$b = $db->sql_fetchrow ($a);
$nom = $b['number'];
$vr = $b['time'];
$answ = $b['answer'];
$amsg = rus_to_k($msg);
$tran = $b['tran'];


$qwe = $answ;

$nnn = $answ;
/*function utf8_to_win1251($text)
 {
    $text=str_replace("\xD0\xB0","а",$text);  $text=str_replace("\xD0\x90","А",$text);
    $text=str_replace("\xD0\xB1","б",$text);  $text=str_replace("\xD0\x91","Б",$text);
    $text=str_replace("\xD0\xB2","в",$text);  $text=str_replace("\xD0\x92","В",$text);
    $text=str_replace("\xD0\xB3","г",$text);  $text=str_replace("\xD0\x93","Г",$text);
    $text=str_replace("\xD0\xB4","д",$text);  $text=str_replace("\xD0\x94","Д",$text);
    $text=str_replace("\xD0\xB5","е",$text);  $text=str_replace("\xD0\x95","Е",$text);
    $text=str_replace("\xD1\x91","ё",$text);  $text=str_replace("\xD0\x81","Ё",$text);
    $text=str_replace("\xD0\xB6","ж",$text);  $text=str_replace("\xD0\x96","Ж",$text);
    $text=str_replace("\xD0\xB7","з",$text);  $text=str_replace("\xD0\x97","З",$text);
    $text=str_replace("\xD0\xB8","и",$text);  $text=str_replace("\xD0\x98","И",$text);
    $text=str_replace("\xD0\xB9","й",$text);  $text=str_replace("\xD0\x99","Й",$text);
    $text=str_replace("\xD0\xBA","к",$text);  $text=str_replace("\xD0\x9A","К",$text);
    $text=str_replace("\xD0\xBB","л",$text);  $text=str_replace("\xD0\x9B","Л",$text);
    $text=str_replace("\xD0\xBC","м",$text);  $text=str_replace("\xD0\x9C","М",$text);
    $text=str_replace("\xD0\xBD","н",$text);  $text=str_replace("\xD0\x9D","Н",$text);
    $text=str_replace("\xD0\xBE","о",$text);  $text=str_replace("\xD0\x9E","О",$text);
    $text=str_replace("\xD0\xBF","п",$text);  $text=str_replace("\xD0\x9F","П",$text);
    $text=str_replace("\xD1\x80","р",$text);  $text=str_replace("\xD0\xA0","Р",$text);
    $text=str_replace("\xD1\x81","с",$text);  $text=str_replace("\xD0\xA1","С",$text);
    $text=str_replace("\xD1\x82","т",$text);  $text=str_replace("\xD0\xA2","Т",$text);
    $text=str_replace("\xD1\x83","у",$text);  $text=str_replace("\xD0\xA3","У",$text);
    $text=str_replace("\xD1\x84","ф",$text);  $text=str_replace("\xD0\xA4","Ф",$text);
    $text=str_replace("\xD1\x85","х",$text);  $text=str_replace("\xD0\xA5","Х",$text);
    $text=str_replace("\xD1\x86","ц",$text);  $text=str_replace("\xD0\xA6","Ц",$text);
    $text=str_replace("\xD1\x87","ч",$text);  $text=str_replace("\xD0\xA7","Ч",$text);
    $text=str_replace("\xD1\x88","ш",$text);  $text=str_replace("\xD0\xA8","Ш",$text);
    $text=str_replace("\xD1\x89","щ",$text);  $text=str_replace("\xD0\xA9","Щ",$text);
    $text=str_replace("\xD1\x8A","ъ",$text);  $text=str_replace("\xD0\xAA","Ъ",$text);
    $text=str_replace("\xD1\x8B","ы",$text);  $text=str_replace("\xD0\xAB","Ы",$text);
    $text=str_replace("\xD1\x8C","ь",$text);  $text=str_replace("\xD0\xAC","Ь",$text);
    $text=str_replace("\xD1\x8D","э",$text);  $text=str_replace("\xD0\xAD","Э",$text);
    $text=str_replace("\xD1\x8E","ю",$text);  $text=str_replace("\xD0\xAE","Ю",$text);
    $text=str_replace("\xD1\x8F","я",$text);  $text=str_replace("\xD0\xAF","Я",$text);
    $text=str_replace("\xe2\x84\x96","№",$text);
    return $text;
 }
/*
$qwe = iconv('utf-8', 'windows-1251', $qwe);
$qwe = substr($qwe,0,512);
$qwe = iconv('windows-1251', 'utf-8', $qwe);*/
$b = mb_strlen($qwe) -1;
echo $qwe.'('.$b.' Букв)';

echo $nnn;
/*
function utf8_to_win($string){
     for ($c=0;$c         $i=ord($string[$c]);
         if ($i <= 127) @$out .= $string[$c];
             if (@$byte2){
                 $new_c2=($c1&3)*64+($i&63);
                 $new_c1=($c1>>2)&5;
                 $new_i=$new_c1*256+$new_c2;
                 if ($new_i==1025){
                     $out_i=168;
                 } else {
                    if ($new_i==1105){
                         $out_i=184;
                     } else {
                         $out_i=$new_i-848;
                     }
                 }
                 @$out .= chr($out_i);
                 $byte2 = false;
             }
             if (($i>>5)==6) {
                 $c1 = $i;
                 $byte2 = true;
             }
     }
     return $out;
 }
 
echo utf8_to_win($answ);
 
 
//$answ = iconv('windows-1251', 'utf-8', $answ);
////echo $answ;


/*
$otvet = "череп"; // текущий ответ
$msg = "ипать мой лысый череп"; // текущее сообщение
echo preg_match('/'.$otvet.'/iu', $msg) ? "Сообщение содержит правильный ответ" : "Нихера не верно";
*/




/*
$fp = fopen("zagadki.txt", "r"); // Открываем файл в режиме чтения
 if ($fp) 
 {

 while (!feof($fp))
 {

$mytext = fgets($fp, 99999);
list($vopros, $otvet) = explode("::", $mytext);


$otvet = mb_strtolower($otvet);
echo "Вопрос: ".$vopros." <br />";
echo "Ответ: ".$otvet." <br />";



$otvet = iconv('utf-8', 'windows-1251', $otvet);
$otvet = substr($otvet,0,512);
$otvet = iconv('windows-1251', 'utf-8', $otvet);

////$vopr = "INSERT INTO `botg` SET `vopros` = '".$vopros."', `answer` = '".$otvet."'";
if(mysql_query($vopr))
{
}
else
{
echo'Запись не произошла ' . mysql_error();
}
 }
 }
 else echo "Ошибка при открытии файла";
 fclose($fp);













/*
function col_lines($path) 
{ 
    // проверяем существование файла 
    // если файл не найден выводится ошибка и прекращается работа всего скрипта 
    if(!file_exists($path))exit("Ошибка. Файл не найден!"); 
     
    // считываем файл в массив 
    $file_arr = file($path); 
     
    // считаем кол-во элементов в массиве 
    $col_lines = count($file_arr); 
     
    // выводим результат работы функции 
    return $col_lines; 
}*/ 

///echo col_lines("tttt.txt");




/*
$section =  file_get_contents ( 'questions.txt' , NULL , NULL , 0 , 14000 );
var_dump ( $section );
/*
//Открываем файл
 $f = fopen( "questions.txt" , "r" );
//Считываем информацию в переменную $text
 $text = fread( $f , filesize( $f ) );
//Закрываем файл
 close($f);
//Выводим содержимое файла
 print $text;*/
?>